
Redmine - Feature #28561

Add note about link validity to password lost email

2018-04-16 11:31 - Gregor Schmidt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

The password-lost link may be used only once. But this piece of information is not presented to the user. We are regularly seeing

confusion about this with Planio customers.

The attached patch (based on r17296) adds a short note about the link validity to the mail content.

Please be aware that you may change the password only once using this link.

 I think it might clear some confusion and should make resetting the password easier.

This patch was inspired by Go MAEDA.

Related issues:

Related to Redmine - Patch #29781: Prevent users from getting stuck with an e... Closed

Associated revisions

Revision 17307 - 2018-04-24 17:02 - Go MAEDA

Add note about link validity to password lost email (#28561).

Patch by Gregor Schmidt.

Revision 17308 - 2018-04-24 17:09 - Go MAEDA

Add mail_body_lost_password_validity string to locales (#28561).

History

#1 - 2018-04-16 11:59 - Go MAEDA

- Target version set to Candidate for next major release

Thank you for implementing this feature. I think this patch should improve UX of the lost password feature.

#2 - 2018-04-16 12:03 - Gregor Schmidt

- File 0001-Add-note-about-validity-of-password-lost-link.patch added

Updated the patch to include the Japanese translation provided by Go MAEDA.

#3 - 2018-04-22 08:57 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting target version to 4.1.0.

#4 - 2018-04-24 17:02 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed
https://plan.io/redmine-hosting/
https://www.redmine.org/projects/redmine/repository/svn/revisions/17296


Committed. Thank you for sharing the patch.

#5 - 2018-04-24 17:10 - Go MAEDA

- Status changed from Resolved to Closed

#6 - 2018-10-18 03:19 - Go MAEDA

- Related to Patch #29781: Prevent users from getting stuck with an expired password recovery token in their session added

Files

0001-Add-note-about-validity-of-password-lost-link.patch 2.73 KB 2018-04-16 Gregor Schmidt

0001-Add-note-about-validity-of-password-lost-link.patch 3.57 KB 2018-04-16 Gregor Schmidt
